OpenNMS API 1.2.9

## org.opennms.netmgt.actiond
Class BroadcastEventProcessor

    java.lang.Object
      org.opennms.netmgt.actiond.BroadcastEventProcessor

All Implemented Interfaces:
  EventListener

final class BroadcastEventProcessor
extends java.lang.Object
implements EventListener

Author:
  Brian Weaver , OpenNMS

Field Summary
`private FifoQueue` `m_execQ` The location where executable events are enqueued to be executed.

Constructor Summary
`(package private)` `BroadcastEventProcessor(FifoQueue execQ)` This constructor subscribes to eventd for all events

Method Summary
`void` `close()` Unsubscribe from eventd
`java.lang.String` `getName()` Return an id for this event listener
`void` `onEvent(Event event)` This method is invoked by the EventIpcManager when a new event is available for processing.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_execQ

    private FifoQueue m_execQ

  The location where executable events are enqueued to be executed.

Constructor Detail

### BroadcastEventProcessor

    BroadcastEventProcessor(FifoQueue execQ)

  This constructor subscribes to eventd for all events

Parameters:
  `execQ` - The queue where executable events are stored.

Method Detail

### close

    public void close()

  Unsubscribe from eventd

### onEvent

    public void onEvent(Event event)

  This method is invoked by the EventIpcManager when a new event is available for processing. Each event's autoactions and trouble tickets are queued to be run

  Specified by:
    `onEvent` in interface `EventListener`
  Parameters:
    `event` - The event

### getName

    public java.lang.String getName()

  Return an id for this event listener

  Specified by:
    `getName` in interface `EventListener`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.